Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
TamlVisitor Class Referenceabstract
TAML Reference

`#include <tamlVisitor.h>`

Inheritance diagram for TamlVisitor:

## Classes
struct | PropertyState
| Visitor property state. More...

## Public Member Functions
| TamlVisitor ()
virtual | ~TamlVisitor ()
virtual bool | wantsPropertyChanges (void)=0
virtual bool | wantsRootOnly (void)=0
| Whether the visitor wants to visit the root node only. More...
virtual bool | visit (const TamlParser &parser, PropertyState &propertyState)=0
| The state of the visited property. More...

## Detailed Description

See also
  TAML Reference

## Constructor & Destructor Documentation

TamlVisitor | ( |  | ) |
| inline

virtual ~TamlVisitor | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual bool visit | ( | const TamlParser & | parser,
|  | PropertyState & | propertyState
| ) |  |
| pure virtual

The state of the visited property.

Implemented in TamlAssetDeclaredUpdateVisitor, TamlAssetReferencedUpdateVisitor, TamlAssetDeclaredVisitor, TamlAssetReferencedVisitor, and TamlModuleIdUpdateVisitor.

virtual bool wantsPropertyChanges | ( | void |  | ) |
| pure virtual

Whether the visitor wants to perform property changes. This allows a check against the parser which may not allow changes.

Implemented in TamlAssetDeclaredUpdateVisitor, TamlAssetReferencedUpdateVisitor, TamlAssetDeclaredVisitor, TamlAssetReferencedVisitor, and TamlModuleIdUpdateVisitor.

virtual bool wantsRootOnly | ( | void |  | ) |
| pure virtual

Whether the visitor wants to visit the root node only.

Implemented in TamlAssetDeclaredUpdateVisitor, TamlAssetReferencedUpdateVisitor, TamlAssetDeclaredVisitor, TamlAssetReferencedVisitor, and TamlModuleIdUpdateVisitor.

The documentation for this class was generated from the following file:

- persistence/taml/tamlVisitor.h